Bug 118155 - devel/apr: [PATCH]: lang/perl5 is _not_ a RUN_DEPENDS
Summary: devel/apr: [PATCH]: lang/perl5 is _not_ a RUN_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Craig Rodrigues
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-20 22:10 UTC by Philip M. Gollucci
Modified: 2008-03-31 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (520 bytes, patch)
2007-11-20 22:10 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2007-11-20 22:10:01 UTC
1) apr doesn't need perl after installation (just like python)
2) While I'm here, use USE_LDCONFIG instead of INSTALLS_SHLIB

Fix: patch

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-11-20 22:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 philip 2007-11-22 13:57:54 UTC
Sorry, I meant to bump PORTREVISION
-- 
-----------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
c:323.219.4708 o:703.749.9295x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 3 pgollucci 2007-12-03 15:06:23 UTC
I realize its ports freeze, but maintainer timeout.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 4 Tilman Keskinoz freebsd_committer 2008-01-04 20:21:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigc

poke maintainer by assigning PR to him
Comment 5 philip 2008-02-06 22:51:04 UTC
poke its been 1 month and 2 days
Comment 6 philip 2008-02-22 16:43:58 UTC
any news ?

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 7 Pav Lucistnik freebsd_committer 2008-03-31 14:47:59 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2008-03-31 14:56:06 UTC
pav         2008-03-31 13:55:58 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile 
  Log:
  - Downgrade perl dependecy to build-only
  - Style
  
  PR:             ports/118155
  Submitted by:   Philip M. Gollucci <pgollucci@p6m7g8.com>
  Approved by:    maintainer timeout (rodrigc; 3 months)
  
  Revision  Changes    Path
  1.69      +3 -3      ports/devel/apr/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"